Show / Hide Table of Contents

# Class Embed

Represents an embed object seen in an IUserMessage.

##### Inheritance

System.Object
Embed

##### Implements

IEmbed

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class Embed : IEmbed

### Properties

| Improve this Doc View Source

#### Author

Gets the author field of this embed.

##### Declaration

    public EmbedAuthor? Author { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedAuthor> | The author field of the embed, or `null` if none is set.

| Improve this Doc View Source

#### Color

Gets the color of this embed.

##### Declaration

    public Color? Color { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Color> | The color of the embed present on the side of the embed, or `null` if none is set.

| Improve this Doc View Source

#### Description

Gets the description of this embed.

##### Declaration

    public string Description { get; }

##### Property Value

Type | Description
--- | ---
System.String | The description field of the embed.

| Improve this Doc View Source

#### Fields

Gets the fields of the embed.

##### Declaration

    public ImmutableArray<EmbedField> Fields { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Immutable.ImmutableArray<EmbedField> | An array of the fields of the embed.

| Improve this Doc View Source

#### Footer

Gets the footer field of this embed.

##### Declaration

    public EmbedFooter? Footer { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedFooter> | The author field of the embed, or `null` if none is set.

| Improve this Doc View Source

#### Image

Gets the image of this embed.

##### Declaration

    public EmbedImage? Image { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedImage> | The image of the embed, or `null` if none is set.

| Improve this Doc View Source

#### Length

Gets the total length of all embed properties.

##### Declaration

    public int Length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Provider

Gets the provider of this embed.

##### Declaration

    public EmbedProvider? Provider { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedProvider> | The source of the embed, or `null` if none is set.

| Improve this Doc View Source

#### Thumbnail

Gets the thumbnail featured in this embed.

##### Declaration

    public EmbedThumbnail? Thumbnail { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedThumbnail> | The thumbnail featured in the embed, or `null` if none is set.

| Improve this Doc View Source

#### Timestamp

Gets the timestamp of this embed.

##### Declaration

    public DateTimeOffset? Timestamp { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> | A System.DateTimeOffset based on the timestamp present at the bottom left of the embed, or `null` if none is set.

| Improve this Doc View Source

#### Title

Gets the title of this embed.

##### Declaration

    public string Title { get; }

##### Property Value

Type | Description
--- | ---
System.String | The title of the embed.

| Improve this Doc View Source

#### Type

Gets the type of this embed.

##### Declaration

    public EmbedType Type { get; }

##### Property Value

Type | Description
--- | ---
EmbedType | The type of the embed.

| Improve this Doc View Source

#### Url

Gets the title URL of this embed.

##### Declaration

    public string Url { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the URL set in a title of the embed.

| Improve this Doc View Source

#### Video

Gets the video of this embed.

##### Declaration

    public EmbedVideo? Video { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedVideo> | The video of the embed, or `null` if none is set.

### Methods

| Improve this Doc View Source

#### ToString()

Gets the title of the embed.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

### Implements

IEmbed

### Extension Methods

EmbedBuilderExtensions.ToEmbedBuilder(IEmbed)